#!/usr/bin/env python

# Copyright (C) 2009 Adam Blackburn
#
# This file is a part of Wicd.
#
# Wicd is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import logging
logger = logging.getLogger(__name__)

from wicd.core import event

def enable(wicd):
    """
        Called when plugin is enabled, or when wicd is loaded with the plugin
        on by default.
    """
    logging.info('template plugin enabled')
    

def disable(wicd):
    """
        Called when the plugin is disabled
    """
    event.remove_callback(done_loading, 'done-loading')
    logging.info('template plugin disabled')

