#!/usr/bin/env python

import logging
logger = logging.getLogger(__name__)

from wicd.core import event

def done_loading(*args):
    logging.info('wicd loaded')

def enable(wicd):
    """
        Called when plugin is enabled, or when exaile is loaded with the plugin
        on by default.
            Wait for exaile to fully load, then call _enable with idle priority.
    """
    event.add_callback(done_loading, 'done-loading')
    logging.info('test plugin enabled')
    

def disable(wicd):
    """
        Called when the plugin is disabled
    """
    event.remove_callback(done_loading, 'done-loading')
    logging.info('test plugin disabled')

