# main.py -- wicd daemon's starter 
# Copyright (C) 2009 Adam Blackburn
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

import logging
logger = logging.getLogger(__name__)

import gobject
import dbus, dbus.mainloop.glib

import plugins
import providers
import event

from wicd.services import dhcp, config

class WicdDaemon(object):
    def __init__(self):
        self.loading = True
        event.log_event('start-loading', self, self)
        event.log_event('start-loading-plugins', self, self)
        pm = plugins.PluginsManager(self)
        event.log_event('done-loading-plugins', self, self)
        self.loading = False
        event.log_event('done-loading', self, self)

def run():
    logger.info('starting...')
    WicdDaemon()
    
    gobject.threads_init()
    dbus_loop = dbus.mainloop.glib.DBusGMainLoop(set_as_default=True)
    dbus.mainloop.glib.threads_init()
    dbus.mainloop.glib.gthreads_init()

    loop = gobject.MainLoop()
    loop.run()

# vim: et sts=4 sw=4
